=== modified file 'drizzled/cursor.cc'
--- drizzled/cursor.cc	2011-03-18 16:18:56 +0000
+++ drizzled/cursor.cc	2011-03-18 16:32:21 +0000
@@ -652,11 +652,9 @@
     Unfortunately here we can't know know for sure if the engine
     has registered the transaction or not, so we must check.
   */
-  ResourceContext& resource_context= *getTable()->in_use->getResourceContext(getEngine());
+  ResourceContext& resource_context= getTable()->in_use->getResourceContext(*getEngine());
   if (resource_context.isStarted())
-  {
     resource_context.markModifiedData();
-  }
 }
 
 

=== modified file 'drizzled/internal/mf_tempfile.cc'
--- drizzled/internal/mf_tempfile.cc	2011-02-17 00:14:13 +0000
+++ drizzled/internal/mf_tempfile.cc	2011-03-18 16:32:21 +0000
@@ -61,12 +61,7 @@
 int create_temp_file(char *to, const char *dir, const char *prefix,
                      myf MyFlags)
 {
-  int file= -1;
-
-  int org_file;
-  string prefix_str;
-
-  prefix_str= prefix ? prefix : "tmp.";
+  string prefix_str= prefix ? prefix : "tmp.";
   prefix_str.append("XXXXXX");
 
   if (!dir && ! (dir =getenv("TMPDIR")))
@@ -74,27 +69,27 @@
   if (strlen(dir)+prefix_str.length() > FN_REFLEN-2)
   {
     errno= ENAMETOOLONG;
-    return(file);
+    return -1;
   }
   strcpy(convert_dirname(to,dir,NULL),prefix_str.c_str());
-  org_file=mkstemp(to);
+  int org_file= mkstemp(to);
   /* TODO: This was old behavior, but really don't we want to
    * unlink files immediately under all circumstances?
    * if (mode & O_TEMPORARY)
     (void) my_delete(to, MYF(MY_WME | ME_NOINPUT));
   */
-  file=my_register_filename(org_file, to, EE_CANTCREATEFILE, MyFlags);
+  int file= my_register_filename(org_file, to, EE_CANTCREATEFILE, MyFlags);
 
   /* If we didn't manage to register the name, remove the temp file */
   if (org_file >= 0 && file < 0)
   {
-    int tmp=errno;
+    int tmp= errno;
     close(org_file);
     (void) my_delete(to, MYF(MY_WME | ME_NOINPUT));
-    errno=tmp;
+    errno= tmp;
   }
 
-  return(file);
+  return file;
 }
 
 } /* namespace internal */

=== modified file 'drizzled/plugin/transactional_storage_engine.cc'
--- drizzled/plugin/transactional_storage_engine.cc	2011-02-17 00:14:13 +0000
+++ drizzled/plugin/transactional_storage_engine.cc	2011-03-18 16:32:21 +0000
@@ -48,7 +48,7 @@
 
 void TransactionalStorageEngine::setTransactionReadWrite(Session& session)
 {
-  ResourceContext *resource_context= session.getResourceContext(this);
+  ResourceContext& resource_context= session.getResourceContext(*this);
 
   /*
     When a storage engine method is called, the transaction must
@@ -58,10 +58,8 @@
     Unfortunately here we can't know know for sure if the engine
     has registered the transaction or not, so we must check.
   */
-  if (resource_context->isStarted())
-  {
-    resource_context->markModifiedData();
-  }
+  if (resource_context.isStarted())
+    resource_context.markModifiedData();
 }
 
 /**

=== modified file 'drizzled/session.cc'
--- drizzled/session.cc	2011-03-18 16:18:56 +0000
+++ drizzled/session.cc	2011-03-18 16:32:21 +0000
@@ -133,10 +133,9 @@
   return static_cast<void **>(&ha_data[monitored->getId()].ha_ptr);
 }
 
-ResourceContext *Session::getResourceContext(const plugin::MonitoredInTransaction *monitored,
-                                             size_t index)
+ResourceContext& Session::getResourceContext(const plugin::MonitoredInTransaction& monitored, size_t index)
 {
-  return &ha_data[monitored->getId()].resource_context[index];
+  return ha_data[monitored.getId()].resource_context[index];
 }
 
 int64_t session_test_options(const Session *session, int64_t test_options)

=== modified file 'drizzled/session.h'
--- drizzled/session.h	2011-03-18 16:18:56 +0000
+++ drizzled/session.h	2011-03-18 16:32:21 +0000
@@ -474,8 +474,7 @@
 
 public:
   void **getEngineData(const plugin::MonitoredInTransaction *monitored);
-  ResourceContext *getResourceContext(const plugin::MonitoredInTransaction *monitored,
-                                      size_t index= 0);
+  ResourceContext& getResourceContext(const plugin::MonitoredInTransaction&, size_t index= 0);
 
   session::Transactions transaction;
 

=== modified file 'drizzled/transaction_services.cc'
--- drizzled/transaction_services.cc	2011-03-18 16:18:56 +0000
+++ drizzled/transaction_services.cc	2011-03-18 16:32:21 +0000
@@ -330,7 +330,7 @@
   }
 
   TransactionContext *trans= &session.transaction.stmt;
-  ResourceContext& resource_context= *session.getResourceContext(monitored, 0);
+  ResourceContext& resource_context= session.getResourceContext(*monitored, 0);
 
   if (resource_context.isStarted())
     return; /* already registered, return */
@@ -363,7 +363,7 @@
   }
 
   TransactionContext *trans= &session.transaction.stmt;
-  ResourceContext& resource_context= *session.getResourceContext(monitored, 0);
+  ResourceContext& resource_context= session.getResourceContext(*monitored, 0);
 
   if (resource_context.isStarted())
     return; /* already registered, return */
@@ -384,27 +384,27 @@
                                                          plugin::TransactionalStorageEngine *engine)
 {
   TransactionContext *trans= &session.transaction.all;
-  ResourceContext *resource_context= session.getResourceContext(monitored, 1);
+  ResourceContext& resource_context= session.getResourceContext(*monitored, 1);
 
-  if (resource_context->isStarted())
+  if (resource_context.isStarted())
     return; /* already registered, return */
 
   session.server_status|= SERVER_STATUS_IN_TRANS;
 
-  trans->registerResource(resource_context);
+  trans->registerResource(&resource_context);
 
   assert(monitored->participatesInSqlTransaction());
   assert(not monitored->participatesInXaTransaction());
 
-  resource_context->setMonitored(monitored);
-  resource_context->setTransactionalStorageEngine(engine);
+  resource_context.setMonitored(monitored);
+  resource_context.setTransactionalStorageEngine(engine);
   trans->no_2pc|= true;
 
   if (session.transaction.xid_state.xid.is_null())
     session.transaction.xid_state.xid.set(session.getQueryId());
 
   /* Only true if user is executing a BEGIN WORK/START TRANSACTION */
-  if (! session.getResourceContext(monitored, 0)->isStarted())
+  if (not session.getResourceContext(*monitored, 0).isStarted())
     registerResourceForStatement(session, monitored, engine);
 }
 
@@ -414,20 +414,20 @@
                                                          plugin::XaResourceManager *resource_manager)
 {
   TransactionContext *trans= &session.transaction.all;
-  ResourceContext *resource_context= session.getResourceContext(monitored, 1);
+  ResourceContext& resource_context= session.getResourceContext(*monitored, 1);
 
-  if (resource_context->isStarted())
+  if (resource_context.isStarted())
     return; /* already registered, return */
 
   session.server_status|= SERVER_STATUS_IN_TRANS;
 
-  trans->registerResource(resource_context);
+  trans->registerResource(&resource_context);
 
   assert(monitored->participatesInSqlTransaction());
 
-  resource_context->setMonitored(monitored);
-  resource_context->setXaResourceManager(resource_manager);
-  resource_context->setTransactionalStorageEngine(engine);
+  resource_context.setMonitored(monitored);
+  resource_context.setXaResourceManager(resource_manager);
+  resource_context.setTransactionalStorageEngine(engine);
   trans->no_2pc|= true;
 
   if (session.transaction.xid_state.xid.is_null())
@@ -436,7 +436,7 @@
   engine->startTransaction(&session, START_TRANS_NO_OPTIONS);
 
   /* Only true if user is executing a BEGIN WORK/START TRANSACTION */
-  if (! session.getResourceContext(monitored, 0)->isStarted())
+  if (! session.getResourceContext(*monitored, 0).isStarted())
     registerResourceForStatement(session, monitored, engine, resource_manager);
 }
 

